<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1integration.html">integration</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1integration_1_1test.html">test</a></li><li class="navelem"><a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_audio_player_test.html">AudioPlayerTest</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">alexaClientSDK::integration::test::AudioPlayerTest Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_audio_player_test.html">alexaClientSDK::integration::test::AudioPlayerTest</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_audio_player_test.html#a3dc17b8efbc6d1f3af3b82974bfdb42a">checkSentEventName</a>(TestMessageSender::SendParams sendParams, std::string expectedName)</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_audio_player_test.html">alexaClientSDK::integration::test::AudioPlayerTest</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_audio_player_test.html#a787ef15830c33126d9662db64586f7c5">connect</a>()</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_audio_player_test.html">alexaClientSDK::integration::test::AudioPlayerTest</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_audio_player_test.html#a4256b1e0caa13cdb62def838062904e6">disconnect</a>()</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_audio_player_test.html">alexaClientSDK::integration::test::AudioPlayerTest</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_audio_player_test.html#aba29a68e9fc0a7a0f91b2bdf40ff432a">getSentEventName</a>(TestMessageSender::SendParams sendParams)</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_audio_player_test.html">alexaClientSDK::integration::test::AudioPlayerTest</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_audio_player_test.html#acbf5f6a5a4fe8ac1f661c0203fb280ad">m_AudioBuffer</a></td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_audio_player_test.html">alexaClientSDK::integration::test::AudioPlayerTest</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_audio_player_test.html#a3d555ab0570b4109999b4aea63f5f024">m_AudioBufferWriter</a></td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_audio_player_test.html">alexaClientSDK::integration::test::AudioPlayerTest</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_audio_player_test.html#a1fb6ee74611a2082c50d83eda28a7164">m_AudioInputProcessor</a></td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_audio_player_test.html">alexaClientSDK::integration::test::AudioPlayerTest</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_audio_player_test.html#a7ff70de946d6cefa087d07839b1be3ca">m_audioPlayer</a></td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_audio_player_test.html">alexaClientSDK::integration::test::AudioPlayerTest</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_audio_player_test.html#ad8fbf95133ad21bb8229ee64c7d1c900">m_avsConnectionManager</a></td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_audio_player_test.html">alexaClientSDK::integration::test::AudioPlayerTest</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_audio_player_test.html#a63e8a3324d015619e552c3f9ad95a44f">m_compatibleAudioFormat</a></td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_audio_player_test.html">alexaClientSDK::integration::test::AudioPlayerTest</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_audio_player_test.html#a09185bcb4f429d52e9574085ff7d038a">m_contentMediaPlayer</a></td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_audio_player_test.html">alexaClientSDK::integration::test::AudioPlayerTest</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_audio_player_test.html#af7a808e183850aaea4feeda2d25c271e">m_context</a></td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_audio_player_test.html">alexaClientSDK::integration::test::AudioPlayerTest</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_audio_player_test.html#a927bdab918a3e0af1261c4987fa359bd">m_dialogUXStateAggregator</a></td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_audio_player_test.html">alexaClientSDK::integration::test::AudioPlayerTest</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_audio_player_test.html#ab0893f4cff33e3fc2232dfd20e17d95f">m_directiveHandler</a></td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_audio_player_test.html">alexaClientSDK::integration::test::AudioPlayerTest</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_audio_player_test.html#a31834238139705657af340dd641e320e">m_directiveSequencer</a></td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_audio_player_test.html">alexaClientSDK::integration::test::AudioPlayerTest</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_audio_player_test.html#a66abcc56c8b04986c4b09cef54d10b42">m_exceptionEncounteredSender</a></td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_audio_player_test.html">alexaClientSDK::integration::test::AudioPlayerTest</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_audio_player_test.html#a12c564da86b87620d41e6465a94bc1c7">m_focusChangedCV</a></td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_audio_player_test.html">alexaClientSDK::integration::test::AudioPlayerTest</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_audio_player_test.html#a63817aa03788386663aa2dcccc715503">m_focusChangeOccurred</a></td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_audio_player_test.html">alexaClientSDK::integration::test::AudioPlayerTest</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_audio_player_test.html#acc6fb927032da95d7a4805b14d9633b2">m_focusManager</a></td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_audio_player_test.html">alexaClientSDK::integration::test::AudioPlayerTest</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_audio_player_test.html#ae707906e1cee1821c290774781def1cd">m_focusState</a></td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_audio_player_test.html">alexaClientSDK::integration::test::AudioPlayerTest</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_audio_player_test.html#a80e76cebee62b94e92c87ef91c0ef9b6">m_HoldToTalkAudioProvider</a></td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_audio_player_test.html">alexaClientSDK::integration::test::AudioPlayerTest</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_audio_player_test.html#a32ca3acb60dc9c9214b5fdbca6362253">m_holdToTalkButton</a></td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_audio_player_test.html">alexaClientSDK::integration::test::AudioPlayerTest</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_audio_player_test.html#acd71c1f012b6f1d09e7387091a35d9fc">m_messageInterpreter</a></td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_audio_player_test.html">alexaClientSDK::integration::test::AudioPlayerTest</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_audio_player_test.html#a2b6133de8218d5a60454bf20b9c81863">m_mutex</a></td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_audio_player_test.html">alexaClientSDK::integration::test::AudioPlayerTest</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_audio_player_test.html#acbd0c5b5ba257b420cc59732433f3d92">m_playbackController</a></td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_audio_player_test.html">alexaClientSDK::integration::test::AudioPlayerTest</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_audio_player_test.html#a16c567b4374666056c0adf44cb419893">m_playbackRouter</a></td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_audio_player_test.html">alexaClientSDK::integration::test::AudioPlayerTest</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_audio_player_test.html#abf00da2e142dab7c0e8e50a51f2c93a1">m_speakMediaPlayer</a></td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_audio_player_test.html">alexaClientSDK::integration::test::AudioPlayerTest</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_audio_player_test.html#a6b0b31bd4db72342eec8264acf267bc5">m_speechSynthesizer</a></td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_audio_player_test.html">alexaClientSDK::integration::test::AudioPlayerTest</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_audio_player_test.html#ab057b3d9badd1da5536aeba663798a1e">m_speechSynthesizerObserver</a></td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_audio_player_test.html">alexaClientSDK::integration::test::AudioPlayerTest</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_audio_player_test.html#afade95319d17f1b8caa49974ae73216c">m_testContentClient</a></td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_audio_player_test.html">alexaClientSDK::integration::test::AudioPlayerTest</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_audio_player_test.html#a1456416f35c37427358674ea0416af3a">m_userInactivityMonitor</a></td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_audio_player_test.html">alexaClientSDK::integration::test::AudioPlayerTest</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_audio_player_test.html#a76f94e3b7c13102ddc2d04089c3fd4f1">readAudioFromFile</a>(const std::string &amp;fileName, bool *errorOccurred)</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_audio_player_test.html">alexaClientSDK::integration::test::AudioPlayerTest</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_audio_player_test.html#a4a945750c17c93b760628f002d752684">sendAudioFileAsRecognize</a>(std::string audioFile)</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_audio_player_test.html">alexaClientSDK::integration::test::AudioPlayerTest</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_audio_player_test.html#a93bb8bd6d433efd5fba65bd7f2c886a1">SetUp</a>() override</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_audio_player_test.html">alexaClientSDK::integration::test::AudioPlayerTest</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_audio_player_test.html#accdd282119290e9adc8995f247af60ea">TearDown</a>() override</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_audio_player_test.html">alexaClientSDK::integration::test::AudioPlayerTest</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">protected</span></td></tr>
</table></div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
